package com.rxida.xilinedu.sys.service;

import com.rxida.xilinedu.sys.dao.UserDao;
import com.rxida.xilinedu.sys.entity.User;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

import javax.annotation.Resource;
import java.util.List;

@Service
@Transactional(readOnly = true)
public class UserService {
    @Autowired
    private UserDao userDao;

    public List<User> findAll() {
        return userDao.findAll();
    }

    public void save(User user) {
        if (user.getId() == null || "".equals(user.getId())) {
            //TODO  生成
            user.setId("1111");
            userDao.insert(user);
        } else {
            userDao.update(user);
        }
    }
}
