package com.rxida.xilinedu.sys.web;

import com.rxida.xilinedu.sys.common.JsonResult;
import com.rxida.xilinedu.sys.entity.User;
import com.rxida.xilinedu.sys.service.UserService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.CrossOrigin;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

@RestController
@RequestMapping("/user")
@CrossOrigin
public class UserController {
    @Autowired
    private UserService userService;

    @RequestMapping("/list")
    public List<User> findAll() {
        return userService.findAll();
    }

    @RequestMapping("/save")
    public JsonResult save(User user) {
        userService.save(user);
        JsonResult result = new JsonResult();
        return result;
    }
}
